Bug 1656433 - [abrt] udisks2: on_request(): udisksctl killed by SIGTRAP
Summary: [abrt] udisks2: on_request(): udisksctl killed by SIGTRAP
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: udisks2
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vojtech Trefny
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ac47f8138bdb934ddc3cbc7f930...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-05 14:00 UTC by Markus Linnala
Modified: 2019-11-27 20:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 20:15:17 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (29.56 KB, text/plain)
2018-12-05 14:00 UTC, Markus Linnala
no flags Details
File: cgroup (197 bytes, text/plain)
2018-12-05 14:00 UTC, Markus Linnala
no flags Details
File: core_backtrace (10.89 KB, text/plain)
2018-12-05 14:00 UTC, Markus Linnala
no flags Details
File: cpuinfo (1.11 KB, text/plain)
2018-12-05 14:00 UTC, Markus Linnala
no flags Details
File: dso_list (2.79 KB, text/plain)
2018-12-05 14:00 UTC, Markus Linnala
no flags Details
File: environ (2.84 KB, text/plain)
2018-12-05 14:00 UTC, Markus Linnala
no flags Details
File: limits (1.29 KB, text/plain)
2018-12-05 14:00 UTC, Markus Linnala
no flags Details
File: machineid (135 bytes, text/plain)
2018-12-05 14:00 UTC, Markus Linnala
no flags Details
File: maps (18.30 KB, text/plain)
2018-12-05 14:00 UTC, Markus Linnala
no flags Details
File: mountinfo (5.08 KB, text/plain)
2018-12-05 14:00 UTC, Markus Linnala
no flags Details
File: open_fds (887 bytes, text/plain)
2018-12-05 14:00 UTC, Markus Linnala
no flags Details
File: proc_pid_status (1.31 KB, text/plain)
2018-12-05 14:00 UTC, Markus Linnala
no flags Details

Description Markus Linnala 2018-12-05 14:00:11 UTC
Description of problem:
I have user_u user (markus) and then normal (unconfined_u) user (maage). Ssh to localhost as markus, create foo and try to create loopback on in using udisksctl. And answered Password: query as C-d.

I expected to get permission denied. This is repeatable.

$ ssh markus@localhost
$ id -Z
user_u:user_r:user_t:s0
$ touch foo
$ udisksctl loop-setup -f foo
==== AUTHENTICATING FOR org.freedesktop.udisks2.loop-setup ====
Authentication is required to set up a loop device
Authenticating as: Markus Linnala (maage)
Password: 
** (udisksctl loop-setup:4208): ERROR **: 15:55:22.743: Got unexpected EOF while reading from controlling terminal.
Trace/breakpoint trap (core dumped)

Version-Release number of selected component:
udisks2-2.8.1-1.fc29

Additional info:
reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        udisksctl loop-setup -f foo
crash_function: on_request
executable:     /usr/bin/udisksctl
journald_cursor: s=b5c7c00cd5bd4046b70a3beb88e36f73;i=15f4a8;b=be28a0f42f1f4b6999b3ae0c394001e8;m=12a670122d;t=57c464f041c7f;x=bbea4b6031260f7a
kernel:         4.19.5-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1973

Comment 1 Markus Linnala 2018-12-05 14:00:18 UTC
Created attachment 1511683 [details]
File: backtrace

Comment 2 Markus Linnala 2018-12-05 14:00:19 UTC
Created attachment 1511684 [details]
File: cgroup

Comment 3 Markus Linnala 2018-12-05 14:00:21 UTC
Created attachment 1511685 [details]
File: core_backtrace

Comment 4 Markus Linnala 2018-12-05 14:00:22 UTC
Created attachment 1511686 [details]
File: cpuinfo

Comment 5 Markus Linnala 2018-12-05 14:00:23 UTC
Created attachment 1511687 [details]
File: dso_list

Comment 6 Markus Linnala 2018-12-05 14:00:25 UTC
Created attachment 1511688 [details]
File: environ

Comment 7 Markus Linnala 2018-12-05 14:00:26 UTC
Created attachment 1511689 [details]
File: limits

Comment 8 Markus Linnala 2018-12-05 14:00:27 UTC
Created attachment 1511690 [details]
File: machineid

Comment 9 Markus Linnala 2018-12-05 14:00:29 UTC
Created attachment 1511691 [details]
File: maps

Comment 10 Markus Linnala 2018-12-05 14:00:31 UTC
Created attachment 1511692 [details]
File: mountinfo

Comment 11 Markus Linnala 2018-12-05 14:00:33 UTC
Created attachment 1511693 [details]
File: open_fds

Comment 12 Markus Linnala 2018-12-05 14:00:34 UTC
Created attachment 1511694 [details]
File: proc_pid_status

Comment 13 Tomáš Bžatek 2018-12-05 15:59:19 UTC
https://cgit.freedesktop.org/polkit/tree/src/polkitagent/polkitagenttextlistener.c#n290

> static void on_request (...
> ...
>          tcsetattr (fileno (listener->tty), TCSAFLUSH, &ots);
>          g_error ("Got unexpected EOF while reading from controlling terminal.");
>          abort ();

Not nice!

Comment 14 Ben Cotton 2019-10-31 20:21:52 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2019-11-27 20:15:17 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.